classification
Title: Python 3.5.1 installer shows wrong upgrade path
Type: behavior Stage: resolved
Components: Installation, Windows Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: larry, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: release blocker Keywords: 3.5regression, patch

Created on 2015-11-23 20:24 by steve.dower, last changed 2015-12-06 00:42 by larry. This issue is now closed.

Files
File name Uploaded Description Edit
25715_1.patch steve.dower, 2015-11-24 17:22 review
25715_2.patch steve.dower, 2015-11-25 23:08
Messages (8)
msg255219 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-11-23 20:24
When launching the installer to upgrade from a Python 3.5.0 install to 3.5.1, the path shown on the Install button is incorrect. Clicking the button installs to the correct location.

This is a regression from 3.5.0 that will cause a lot of confusion. It ought to be fixed.
msg255282 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-11-24 17:22
Fix attached:
* moves the UI update to the correct time (*after* we've detected the path)
* fixes a launcher detection issue I noticed
* removes a duplicated function
msg255294 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-11-24 22:37
Launcher detection still isn't quite right - another patch coming.
msg255392 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-11-25 23:08
Man, dealing with the launcher is hard. But I've got it about as good as I can:

* when installing 3.5.1 over 3.5.0, user has the option to update/not update the launcher (no option to uninstall at that time)
* after installing 3.5.1, launcher can be added via Modify, but not removed - the checkbox is now disabled with this change
* with 3.5.1, the launcher has its own entry in Programs and Features (from a different bug)
* uninstalling 3.5.1 does not automatically uninstall the launcher

This patch updates the help text in the installer to better explain what's going on, and now gets the "requires admin" icon correct.

Larry - this change is fully contained to the installer and (along with the original part of the issue above) should avoid a lot of confusion once we release. Can I have it in 3.5.1? I'm happy to rebase and push directly to your repo.
msg255706 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2015-12-02 10:58
You can have it in 3.5.1, and we can negotiate about how to get it in.
msg255734 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-12-02 17:19
New changeset 8537ec50c254 by Steve Dower in branch '3.5':
Issue #25715: Python 3.5.1 installer shows wrong upgrade path and incorrect logic for launcher detection.
https://hg.python.org/cpython/rev/8537ec50c254
msg255735 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-12-02 17:20
As you can see, I've now pushed to the main 3.5 branch, so feel free to cherry-pick from there or give me the word and I'll graft it into the releasing repo for you.

I also forward merged all the 3.5.1 NEWS into default. Not sure how that normally happens, but it was easier to do it with a big copy-past than try and figure out the merge conflicts...
msg255993 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2015-12-06 00:42
Fixed in 3.5.1 final.
History
Date User Action Args
2015-12-06 00:42:13larrysetstatus: open -> closed
resolution: fixed
messages: + msg255993

stage: needs patch -> resolved
2015-12-02 17:20:45steve.dowersetmessages: + msg255735
2015-12-02 17:19:32python-devsetnosy: + python-dev
messages: + msg255734
2015-12-02 10:58:17larrysetmessages: + msg255706
2015-11-25 23:08:35steve.dowersetfiles: + 25715_2.patch

messages: + msg255392
2015-11-24 22:37:36steve.dowersetmessages: + msg255294
2015-11-24 17:22:01steve.dowersetfiles: + 25715_1.patch
keywords: + patch
messages: + msg255282
2015-11-23 20:24:42steve.dowercreate